com.jscape.inet.ssh.protocol.v2.transport.keyexchange

## Class ClientKeyExchanges.Entry

- java.lang.Object
- - com.jscape.inet.ssh.protocol.v2.transport.keyexchange.ComponentClientKeyExchangeFactory.Entry
  - - com.jscape.inet.ssh.protocol.v2.transport.keyexchange.ClientKeyExchanges.Entry

- Enclosing class:
    ClientKeyExchanges

      public abstract static class ClientKeyExchanges.Entry
      extends ComponentClientKeyExchangeFactory.Entry

- - ### Field Summary

    - ### Fields inherited from class com.jscape.inet.ssh.protocol.v2.transport.keyexchange.ComponentClientKeyExchangeFactory.Entry

      `clientKeyExchange, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Entry(java.lang.String name, ClientKeyExchange clientKeyExchange)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ComponentClientKeyExchangeFactory` | `update(ComponentClientKeyExchangeFactory factory, java.security.Provider provider)`
    `abstract ComponentClientKeyExchangeFactory` | `update(ComponentClientKeyExchangeFactory factory, java.lang.String provider)`

    - ### Methods inherited from class com.jscape.inet.ssh.protocol.v2.transport.keyexchange.ComponentClientKeyExchangeFactory.Entry

      `toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Entry

          public Entry(java.lang.String name,
                       ClientKeyExchange clientKeyExchange)

  - ### Method Detail

    - #### update

          public abstract ComponentClientKeyExchangeFactory update(ComponentClientKeyExchangeFactory factory,
                                                                   java.lang.String provider)

    - #### update

          public abstract ComponentClientKeyExchangeFactory update(ComponentClientKeyExchangeFactory factory,
                                                                   java.security.Provider provider)

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved